<template>
  <div class="home-page">
    <Slideshow class="slideshow"/>
    <FeaturedProductContainer image="/images/product-hero-1.jpg" :product="productOne" class="featured" />
    <FeaturedProductContainer landscape image="/images/product-hero-2.jpg" :product="productTwo" class="featured" />
    
    <Title title="چرا پنج نوش؟" class="home-section">
      <FeatureList :features="features" class="features" />
    </Title>
    <Title title="آخرین نوشته ها" class="home-section" v-if="showPosts">
      <LatestPosts :posts="posts" class="posts"/>
    </Title>
  </div>
</template>

<script>
import FeatureList from "@/components/homepage/FeatureList";
import LatestPosts from "@/components/homepage/LatestPosts";
import { features } from "@/dummies/features";
import { productOne, productTwo } from "@/dummies/featured-products"
import Title from "@/components/base/Title";
import FeaturedProductContainer from "@/components/homepage/FeaturedProductContainer";
import Slideshow from "@/components/homepage/slideshow/Slideshow";

export default {
  components: {
    FeatureList,
    LatestPosts,
    Title,
    FeaturedProductContainer,
    Slideshow
  },
  data() {
    return {
      features: features,
      productOne: productOne,
      productTwo: productTwo
    }
  },
  head() {
    return {
      title: "پنج نوش"
    }
  },
  async asyncData(context) {
    let posts = [];
    await context.store.dispatch('blog/fetchPosts').then(response => {
      posts = response.data.data;
    }).catch(e => {
      console.log(e);
    });
    return {
      posts
    };
  },
  computed: {
    showPosts() {
      return this.posts.length > 2;
    }
  }
};
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables";

.home-page
  background-color $black
  padding $lg
  overflow-x hidden
  @media only screen and (max-width 600px)
    padding $lg $md

.home-section
  padding $lg 0
  &:not(:first-child)
    margin-top $lg

.featured
  margin 15rem 0
  
.slideshow
  margin $md 0 15rem 0
  @media only screen and (max-width 600px)
    margin-top 0
</style>
